#!/bin/sh -ex
# SPDX-License-Identifier: GPL-3.0-or-later
# Copyright 2023 Oliver Smith

apk -q add \
	build-base \
	cryptsetup-dev \
	eudev-dev \
	gettext-tiny \
	git \
	inih-dev \
	libdrm-dev \
	libinput-dev \
	libxkbcommon-dev \
	linux-headers \
	musl-libintl \
	pkgconf \
	util-linux-dev

git submodule update --init --recursive

make -j "$(echo "$(nproc) + 1" | bc)"
make check
make install-postmarketOS
